<?php
/**
 * Template Name: Bảng giá
 *
 * @package WordPress
 * @subpackage Twenty_Sixteen
 * @since Twenty Sixteen 2.1
 */
get_header();

?>

<?php get_template_part( 'template-parts/content', 'intro-slider' ); ?>

<section id="prices">
	<div class="container">
		<h2 class="prices-title">BẢNG GIÁ PHẦN MỀM A HÓA ĐƠN</h2>
		<div class="row">
		<?php
			// Products per page
			$per_page = 10;
			if ( get_query_var( 'taxonomy' ) ) { // If on a product taxonomy archive (category or tag)
				$args = array(
					'post_type'      => 'product',
					'posts_per_page' => $per_page,
					'paged'          => get_query_var( 'paged' ),
					'orderby'        => 'meta_value_num',
					'order'          => 'ASC',
					'meta_key'       => '_price',
					'tax_query'      => array(
						array(
							'taxonomy' => get_query_var( 'taxonomy' ),
							'field'    => 'slug',
							'terms'    => get_query_var( 'term' ),
						),
					),
				);
			} else { // On main shop page
				$args = array(
					'post_type'      => 'product',
					'orderby'        => 'meta_value_num',
					'order'          => 'ASC',
					'meta_key'       => '_price',
					'posts_per_page' => $per_page,
					'paged'          => get_query_var( 'paged' ),
				);
			}
			// Set the query
			$products = new WP_Query( $args );
			$home_url = home_url( $wp->request );
			// Standard loop
			
			if ( $products->have_posts() ) :
				while ( $products->have_posts() ) : $products->the_post();
					// Your new HTML markup goes here
					global $product;
					global $wp;
					// print_r($product);
					// echo '<br /><a href="'.get_permalink().'">' . woocommerce_get_product_thumbnail().' '.get_the_title().'</a>';
					?>
					<div class="col-xs-12 col-sm-12 col-md-4 col-lg-4">
						<div class="card text-center box-price wow flipInY">
							<h2 class="card-header"><?php the_title(); ?></h2>
							<article class="card-body">
								<p class="card-text">Số hóa đơn</p>
								<h5 class="card-title"><?php echo number_format($product->get_attribute( 'so-luong-hoa-don' ),0,",","."); ?></h5>
								<p class="card-text">Giá tiền</p>
								<p class="card-money"><?php echo $product->get_price_html()?></p>
								<a href="<?php echo get_permalink() . do_shortcode('[add_to_cart_url id="'.$product->ID.'"]')?>" class="btn btn-primary">Mua ngay</a>
								<?php //echo do_shortcode('[add_to_cart id="'.$product->ID.'" style="border-right:1px solid #ccc"]')?>
							</article>
						</div>
					</div>
					<?php
				endwhile;
				wp_reset_postdata();
			endif;
			?>
		<?php //echo do_shortcode('[products limit="12" columns="3" ]') ?>
			<!-- <div class="col-xs-12 col-sm-12 col-md-4 col-lg-4">
				<div class="card text-center box-price wow flipInY">
					<h2 class="card-header"> AHD 100 </h2>
					<article class="card-body">
						<p class="card-text">Số hóa đơn</p>
						<h5 class="card-title">100</h5>
						<p class="card-text">Giá tiền</p>
						<p class="card-money">150.000</p>
						<a href="#" class="btn btn-primary">Mua ngay</a>
					</article>
				</div>
			</div>-->
		</div>
		<div class="row text-center price_fee">
			<div class="col-xs-12 col-sm-12 col-md-12">
			<p class="txt-red">	PHÍ KHỞI TẠO: 500.000 VNĐ </p>
			<p>Phí chưa bao gồm VAT 10%</p>
			</div>
		</div>
	</div>
</section>
<section class="container-fluid" style="padding: 0px">
    <div id="dungthumienphi">
        <?php get_template_part( 'template-parts/box-try-for-free-tpl', 'none' ); ?>
    </div>
</section>
<?php get_footer(); ?>